> For the complete documentation index, see [llms.txt](https://docs.airdev.co/canvas/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airdev.co/canvas/3.0.0-1/canvas-functionality/reference/default-pages/account.md).

# Account

**Page name:** account\
**Purpose:** Enables your users to manage their profile and account credentials through a self service portal

![](/files/-MPz2tge_eLKfPnRMs3Q)

The Canvas base template has the following navigation tabs visible by default but you can hide any of these by going to Group Main content > Group Main sidebar > Group Inner sidebar content in the elements tree.&#x20;

We also have included 6 placeholder groups to add additional functionality.

## Profile

Here the user can update the profile picture as well as the first and last name on their account.&#x20;

There are also two hidden groups that contain the UI for a user to set their username as well as fill out an about me section.

## Login credentials

Let your users manage the email and password for their account while providing account security by requiring the current password for any changes to be made.&#x20;

Contains all the UI and workflows to ensure the new password meets the password policy you have set up for your app.

## Payments

Allow your users to update their payment method as well as view all their payment history on your platform

## Notifications

In the notifications tab the user can set their notification preferences. Please note, this is UI only in the base template and does not make any changes to your app. You will need to set up the workflows and logic to manage the preferences set here.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.airdev.co/canvas/3.0.0-1/canvas-functionality/reference/default-pages/account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
